Skip to main content
POST
Create segment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

name
string
required

Segment name.

modelUuid
string<uuid>
required

Model identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
filter
Filter · object
required

Segment filter criteria.

sort
Sort · object[]

Sort criteria for the segment.

limit
number

Maximum number of records in the segment.

trackingColumnSlugs
string[]

Tracking column identifiers.

columnSlugs
string[]

Identifiers of the columns displayed for the segment.

Response

Successful response

segment
Segment · object
required

Created segment details.